These are chat archives for systemjs/systemjs

10th
Nov 2015
Andrew Stoker
@AStoker
Nov 10 2015 16:09
@Munter , how does this trick work? Got a site to point to?
Peter Müller
@Munter
Nov 10 2015 16:10
@AStoker I haven't used it myself, but @gustav
Argh, freaking mobile app. @gustavnikolaj has used the requirejs configuration compatibility mode
Andrew Stoker
@AStoker
Nov 10 2015 16:16
Gotcha, thanks. I'd love to see how that works. On a different note, I have modules that currently have multiple dependencies, and I satisfy them with an array of modules with the require statement. What is the best approach to solve this kind of problem with System? I've heard of people use the promise.all and pass in multiple imports. Is this the recommended way?
Peter Müller
@Munter
Nov 10 2015 16:37
So you are not using the requirejs commonjs compatibility mode?
define(function (require) {
  var moment = require('moment');
  var _ = require('underscore');

  return myModule;
});
I'm pretty sure SystemJS does understand the classig AMD syntax though
Sebastien Arod
@sarod
Nov 10 2015 16:52
Hi I'm using systemjs and trying to debug on firefox but it seems that firefox developer tools is not able to list the sources of dynamically loaded javascript modules. Is there something to configure on firefox or system js to make it work? is it a known issue?
Andrew Stoker
@AStoker
Nov 10 2015 18:11

@Munter, I had to add these lines to get it to work

window.define = System.amdDefine;
window.require = window.requirejs = System.amdRequire;

My next step is to get the array of dependencies satisfied, and change the config to work with SystemJS.

@sarod, sounds like you and @chchrist are having some firefox issues. Perhaps the two issues are related? In regards to loading the list of modules, I know sometimes in Safari it puts them under a different folder like XHR Requests...
Sebastien Arod
@sarod
Nov 10 2015 20:20
I'm not sure that the 2 issues are related. I opened bug 1223439 on firefox for the issue I described.
BStenfors
@BStenfors
Nov 10 2015 22:58
Has anyone ran into an issue with trying to bundle angular-material? I keep getting this error when the builder tries to bundle angular-material: [Error: ENOENT, open 'c:\dev\apps\ES6\angular-aria.js']